PHP Handbuch
Zurück |  | Weiter

# XMLReader->XML

(no version information, might be only in CVS)

XMLReader->XML -- Zeichenkette setzen, deren Inhalt geparst werden soll

## Beschreibung

class XMLReader {
bool open ( string source [, string encoding [, int options]] )
}

Zeichenkette mit XML-Inhalt setzen, der geparst werden soll.

## Parameter Liste

`source`

  Zeichenkette mit XML-Inhalt, der geparst werden soll.

`encoding`

  Dokumentkodierung oder `NULL`.

`options`

  Bitmaske der XMLReader-Options-Konstanten.

## Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

## ChangeLog

Version | Beschreibung
--- | ---
5.2.0 | `encoding` und `options` wurden ergänzt.

## Siehe auch

XMLReader->open
XMLReader->close

Zurück | Zum Anfang | Weiter
XMLReader->setRelaxNGSchemaSource | Nach oben | XMLWriter-Funktionen